From: William Desportes <williamdes@wdes.fr>
Date: Sun, 5 Feb 2023 17:42:23 +0100
Subject: Fix creation of dynamic property
 {TargetHandler,ElementHandler}::${context,configurator} is deprecated

Creation of dynamic property TargetHandler::$context is deprecated [line 70 of parser/TargetHandler.php]
Creation of dynamic property ElementHandler::$configurator is deprecated [line 91 of parser/ElementHandler.php]
Creation of dynamic property ElementHandler::$configurator is deprecated [line 91 of parser/ElementHandler.php]
Creation of dynamic property ElementHandler::$configurator is deprecated [line 91 of parser/ElementHandler.php]

Origin: upstream
Forwarded: https://github.com/phingofficial/phing/pull/1689
---
 phing-2.17.4/parser/ElementHandler.php | 6 ++++++
 phing-2.17.4/parser/TargetHandler.php  | 6 ++++++
 2 files changed, 12 insertions(+)

diff --git a/phing-2.17.4/parser/ElementHandler.php b/phing-2.17.4/parser/ElementHandler.php
index ffdf2e1..9e61ea0 100644
--- a/phing-2.17.4/parser/ElementHandler.php
+++ b/phing-2.17.4/parser/ElementHandler.php
@@ -69,6 +69,12 @@ class ElementHandler extends AbstractHandler
      */
     private $target;
 
+    /**
+     * The phing project configurator object
+     * @var ProjectConfigurator
+     */
+    private $configurator;
+
     /**
      *  Constructs a new NestedElement handler and sets up everything.
      *
diff --git a/phing-2.17.4/parser/TargetHandler.php b/phing-2.17.4/parser/TargetHandler.php
index 614ef05..22aa40f 100644
--- a/phing-2.17.4/parser/TargetHandler.php
+++ b/phing-2.17.4/parser/TargetHandler.php
@@ -48,6 +48,12 @@ class TargetHandler extends AbstractHandler
      */
     private $configurator;
 
+    /**
+     * @var PhingXMLContext
+     */
+    private $context;
+
+
     /**
      * Constructs a new TargetHandler
      *
